Talk:Orrery

From Openmoko

(Difference between revisions)
Jump to: navigation, search
(Accelerometers)
(FSO stack)
Line 31: Line 31:
  
 
Bug report: Same problem here (libpopt already installed)
 
Bug report: Same problem here (libpopt already installed)
 +
 +
(KY): I've ordered another Freerunner on which I will install SHR,
 +
and see if I can cure these problems.  I'll also make it use
 +
Gypsy for GPS access, rather than gpsd (gpsd will still be used
 +
when running atop 200x.x distributions, of course).  I would VERY
 +
MUCH appreciate it if people who have trouble getting this application
 +
to run would tell me about the problem at orrery.moko@gmail.com.

Revision as of 09:44, 11 December 2008

Accelerometers

nice! I like it

will it use the accelerometers to show the night sky 'behind' the phone? So you can pan the view by turning around or looking up?

(KY): Really, to do this right, we'd need a compass sensor in the Freerunner, in addition to the accelerometers, I think. Otherwise, how do you set the azimuth? If the gta03 has a camera, and if it is able to detect stars, we might have some options then. For what it's worth, there is an Android application called skyMap that uses the G1 accelerometers and compass to do exactly what you are suggesting here. The implementation is terrible, though - the display is terribly jittery, due to poor filtering of the accelerometers, and the compass information apparently isn't corrected for magnetic declination, so it there is a ~20 degree error in the azimuth it chooses to display, as least where I live.

FSO stack

Has anyone successfully tested it with FSO?


A: Yes, I have (with FSO and with SHR) it doesn't work because you do not have the /usr/lib/libpopt.so.0 file you can mail me, or Ken Young (the creator of this great app) and we will mail you the file

a few days ago another problem appeared on my SHR; when i launch it on the phone (via desktop icon or via terminal) i get an error, but when i ssh in and do for example DISPLAY=:0 /usr/bin/orrery -d /usr/share/orrery/ it does work


Ken Young said he intended to support Orrery on every distribution, so he will fix this.

Bug report: Same problem here (libpopt already installed)

(KY): I've ordered another Freerunner on which I will install SHR, and see if I can cure these problems. I'll also make it use Gypsy for GPS access, rather than gpsd (gpsd will still be used when running atop 200x.x distributions, of course). I would VERY MUCH appreciate it if people who have trouble getting this application to run would tell me about the problem at orrery.moko@gmail.com.

Personal tools

Accelerometers

nice! I like it

will it use the accelerometers to show the night sky 'behind' the phone? So you can pan the view by turning around or looking up?

(KY): Really, to do this right, we'd need a compass sensor in the Freerunner, in addition to the accelerometers, I think. Otherwise, how do you set the azimuth? If the gta03 has a camera, and if it is able to detect stars, we might have some options then. For what it's worth, there is an Android application called skyMap that uses the G1 accelerometers and compass to do exactly what you are suggesting here. The implementation is terrible, though - the display is terribly jittery, due to poor filtering of the accelerometers, and the compass information apparently isn't corrected for magnetic declination, so it there is a ~20 degree error in the azimuth it chooses to display, as least where I live.

FSO stack

Has anyone successfully tested it with FSO?


A: Yes, I have (with FSO and with SHR) it doesn't work because you do not have the /usr/lib/libpopt.so.0 file you can mail me, or Ken Young (the creator of this great app) and we will mail you the file

a few days ago another problem appeared on my SHR; when i launch it on the phone (via desktop icon or via terminal) i get an error, but when i ssh in and do for example DISPLAY=:0 /usr/bin/orrery -d /usr/share/orrery/ it does work


Ken Young said he intended to support Orrery on every distribution, so he will fix this.

Bug report: Same problem here (libpopt already installed)